## WebKitDOMVideoTrack

WebKitDOMVideoTrack

## Functions

gchar * | webkit_dom_video_track_get_id ()
gchar * | webkit_dom_video_track_get_kind ()
gchar * | webkit_dom_video_track_get_label ()
gchar * | webkit_dom_video_track_get_language ()
gboolean | webkit_dom_video_track_get_selected ()
void | webkit_dom_video_track_set_selected ()

## Properties

gchar * | id | Read
gchar * | kind | Read
gchar * | label | Read
gchar * | language | Read
gboolean | selected | Read / Write

## Types and Values

| WebKitDOMVideoTrack

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMVideoTrack

## Description

## Functions

### webkit_dom_video_track_get_id ()

    gchar *
    webkit_dom_video_track_get_id (WebKitDOMVideoTrack *self);

#### Parameters

self | A WebKitDOMVideoTrack |

#### Returns

A gchar

### webkit_dom_video_track_get_kind ()

    gchar *
    webkit_dom_video_track_get_kind (WebKitDOMVideoTrack *self);

#### Parameters

self | A WebKitDOMVideoTrack |

#### Returns

A gchar

### webkit_dom_video_track_get_label ()

    gchar *
    webkit_dom_video_track_get_label (WebKitDOMVideoTrack *self);

#### Parameters

self | A WebKitDOMVideoTrack |

#### Returns

A gchar

### webkit_dom_video_track_get_language ()

    gchar *
    webkit_dom_video_track_get_language (WebKitDOMVideoTrack *self);

#### Parameters

self | A WebKitDOMVideoTrack |

#### Returns

A gchar

### webkit_dom_video_track_get_selected ()

    gboolean
    webkit_dom_video_track_get_selected (WebKitDOMVideoTrack *self);

#### Parameters

self | A WebKitDOMVideoTrack |

#### Returns

A gboolean

### webkit_dom_video_track_set_selected ()

    void
    webkit_dom_video_track_set_selected (WebKitDOMVideoTrack *self,
                                         gboolean value);

#### Parameters

self | A WebKitDOMVideoTrack |
value | A gboolean |

## Types and Values

### WebKitDOMVideoTrack

    typedef struct _WebKitDOMVideoTrack WebKitDOMVideoTrack;

## Property Details

### The `“id”` property

      “id”                       gchar *

read-only gchar* VideoTrack:id.

Flags: Read

Default value: ""

### The `“kind”` property

      “kind”                     gchar *

read-only gchar* VideoTrack:kind.

Flags: Read

Default value: ""

### The `“label”` property

      “label”                    gchar *

read-only gchar* VideoTrack:label.

Flags: Read

Default value: ""

### The `“language”` property

      “language”                 gchar *

read-only gchar* VideoTrack:language.

Flags: Read

Default value: ""

### The `“selected”` property

      “selected”                 gboolean

read-write gboolean VideoTrack:selected.

Flags: Read / Write

Default value: FALSE